Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
New Developer
_keith
Posts: 3
Registered: ‎10-23-2008
My Device: Not Specified

Vista 64 bit - problem getting VS plug-in and emulator to work

[ Edited ]

Hi Guys
 
I cant seem to get the development environment set up on Vista Ultimate 64 bit and visual studio 2008.
 

First option/try
I've installed java (jdk-6u10-windows-x64.exe)
then the VS plug-in (VS_1_1_setup2008.exe)
 
I have successfully set this up on a 32 bit vista ultimate but on my work machines. on the 64 bit vista the services wont start and show in the control panel and the emulator doesn't start.
 
So i tried the non Visual Studio option
 

Second option/try
I installed the MDS and email services (BlackBerry_Email_MDS_4.1.4.exe)
and the storm simulator (BlackBerry_Simulators_4.6.0.150_9000.exe)
 
I run the MDS from the start menu, a cmd shows and disappears for a split second.
 
I run the emulator and it shows up but doesn’t properly load and file->close wont work, i have to kill the process to close it.
 
At this point I'm not finding much information on vista 64 bit and blackberry, I've been searching for a good while.
 
Please help

 

Message Edited by _keith on 10-23-2008 08:36 AM
Please use plain text.
Administrator
MSohm
Posts: 14,362
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Vista 64 bit - problem getting VS plug-in and emulator to work

Please note that the BlackBerry development tools require a 32 bit version of the JDK.  They do not support the 64 bit JDK.

 

Please install the 32 bit JDK for Vista, point your environment variables towards it and try the simulators again.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
New Developer
_keith
Posts: 3
Registered: ‎10-23-2008
My Device: Not Specified

Re: Vista 64 bit - problem getting VS plug-in and emulator to work

Hi Mark, thanks for getting back to me.


I have done that, the simulator does fire up however I don’t fully trust that its working correctly. I cant browse to local host from within the simulator, and file=>close wont shut it down. I have to kill the process. Also the visual studio plug-in isn’t working.

Again I have the full setup at home working fine on vista 32 bit.


Any ideas as to why the above may be occurring ? 

Cheers

Please use plain text.
Administrator
MSohm
Posts: 14,362
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Vista 64 bit - problem getting VS plug-in and emulator to work

[ Edited ]

The MDS Simulator needs to be running in order to use the BlackBerry Browser in the BlackBerry Simulator.  Are you now able to open the MDS Simulator (window remains open)?

 

Also note that you can not browse to localhost or 127.0.0.1.  Instead, you should use your PC name or IP address of your PC to browser to a web server running locally.

 

We have heard of issues of the BlackBerry Simulator not closing for some users on 64 bit editions of Vista.  We do not have a work around for it at this time.  This should not impact how the simulator operates when it is running.

Message Edited by MSohm on 10-24-2008 10:34 AM
Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
New Developer
rmilian
Posts: 1
Registered: ‎07-08-2009
My Device: Not Specified

Re: Vista 64 bit - problem getting VS plug-in and emulator to work

I am having the same issues with my Vista 64bit VS2008. Sounds like this download "32 bit JDK for Vista" will solve the issues. Could you please provide a link?

Please use plain text.
BlackBerry Development Advisor
tneil
Posts: 3,708
Registered: ‎10-16-2008
My Device: Z10
My Carrier: Rogers

Re: Vista 64 bit - problem getting VS plug-in and emulator to work

There are underlying pieces of the Visual Studio plug-in implementaion that do not natively support a 64-bit operating system.  It is currently a system requirement to have a 32bit operating system for this tool.

Tim Neil
Director, Application Platform & Tools Product Management
Follow me on Twitter
Please use plain text.